# Installation
> `npm install --save @types/tcp-port-used`

# Summary
This package contains type definitions for tcp-port-used (https://github.com/stdarg/tcp-port-used).

# Details
Files were exported from https://github.com/DefinitelyTyped/DefinitelyTyped/tree/master/types/tcp-port-used.
## [index.d.ts](https://github.com/DefinitelyTyped/DefinitelyTyped/tree/master/types/tcp-port-used/index.d.ts)
````ts
export interface TcpPortUsedOptions {
    port: number;
    host?: string;
    status?: boolean;
    retryTimeMs?: number;
    timeOutMs?: number;
}

export function check(port: number | TcpPortUsedOptions, host?: string): Promise<boolean>;

export function waitForStatus(
    port: number | TcpPortUsedOptions,
    host?: string,
    inUse?: boolean,
    retryTimeMs?: number,
    timeOutMs?: number,
): Promise<void>;

export function waitUntilFree(
    port: number | TcpPortUsedOptions,
    retryTimeMs?: number,
    timeOutMs?: number,
): Promise<void>;

export function waitUntilFreeOnHost(
    port: number | TcpPortUsedOptions,
    host?: string,
    retryTimeMs?: number,
    timeOutMs?: number,
): Promise<void>;

export function waitUntilUsed(
    port: number | TcpPortUsedOptions,
    retryTimeMs?: number,
    timeOutMs?: number,
): Promise<void>;

export function waitUntilUsedOnHost(
    port: number | TcpPortUsedOptions,
    host?: string,
    retryTimeMs?: number,
    timeOutMs?: number,
): Promise<void>;

````

### Additional Details
 * Last updated: Tue, 07 Nov 2023 15:11:36 GMT
 * Dependencies: none

# Credits
These definitions were written by [Gaute Johansen](https://github.com/gautejohan).
